<?php

class Springbot_Main_Model_Cache
{

    /**
     * @param array|null $types
     * @return array|bool
     */
    public function clearCache($types = null)
    {
        try {
            if ($types === null) {
                $types = array_keys(Mage::app()->useCache());
            }
            foreach ($types as $type) {
                Mage::app()->getCacheInstance()->cleanType($type);
            }
            return true;
        } catch (Exception $e) {
            Mage::log($e->getMessage(), Zend_Log::ERR, 'sb.log');
            return false;
        }
    }

}

















