<?php

class Springbot_Main_Model_Email extends Mage_Core_Model_Abstract
{

    public function associateEmailToQuote($email)
    {
        if ($quote = Mage::getSingleton('checkout/session')->getQuote()) {
            $sessionQuoteExists = $quote->hasEntityId();

            // If there is no email address associated with the quote, check to see if one exists from our js listener
            if (!$quote->getCustomerEmail()) {
                $quote->setCustomerEmail($email);
                $quote->save();
            }
            if (!$sessionQuoteExists) {
                Mage::getSingleton('checkout/session')->setQuoteId($quote->getId());
            }
        }
    }

}
