#!/bin/sh

# this script is for testing and development purposes only

su www-data -s /bin/bash -c 'modman init'
su www-data -s /bin/bash -c 'modman link /springbot'

while ! mysqladmin ping -h"mysql" --silent; do
    echo "waiting for mysql to become available.."
    sleep 5
done

# create the database
mysql -h mysql -u root -e "CREATE DATABASE magento1;"
mysql -h mysql -u root -e "GRANT ALL PRIVILEGES ON *.* TO 'springbot'@'%'; FLUSH PRIVILEGES;"

# run the install script
install-magento

# Enable symlinking so our plugin works with modman
mysql -h mysql -uspringbot -ppassword magento1 -e "INSERT INTO core_config_data (config_id, scope, scope_id, path, value) VALUES (NULL , 'default', '0', 'dev/template/allow_symlink', '1');"

# Override the default plugin settings to point to our docker hosts
mysql -h mysql -uspringbot -ppassword magento1 -e "INSERT INTO core_config_data (config_id, scope, scope_id, path, value) VALUES (NULL , 'default', '0', 'springbot/main/assets_domain', '$ASSETS_DOMAIN');"
mysql -h mysql -uspringbot -ppassword magento1 -e "INSERT INTO core_config_data (config_id, scope, scope_id, path, value) VALUES (NULL , 'default', '0', 'springbot/main/api_url', '$ETL_URL');"

touch /var/installed
