<?php

class Springbot_Main_Model_Marketplace_Shipping extends Mage_Shipping_Model_Carrier_Abstract implements Mage_Shipping_Model_Carrier_Interface
{

    protected $_code = 'sbShipping';

    /**
     * @return array
     */
    public function getAllowedMethods()
    {
        return array($this->_code => $this->getConfigData('name'));
    }

    /**
     * @return bool
     */
    public function isTrackingAvailable()
    {
        return false;
    }

    /**
     * @param Mage_Shipping_Model_Rate_Request $request
     * @return mixed
     */
    public function collectRates(Mage_Shipping_Model_Rate_Request $request)
    {
        return Mage::getModel('shipping/rate_result');
    }

}