<?php

class Springbot_Main_RegisterController extends Mage_Core_Controller_Front_Action
{

    public function registerStoresAction()
    {
        try {
            $storeModel = Mage::getModel('springbot_main/store');
            $successful = $storeModel->registerStores();
            $this->getResponse()->setBody(json_encode(array('successful' => $successful)));
        } catch (Exception $e) {
            $this->getResponse()->setBody(json_encode(array(
                'successful' => false,
                'message'    => $e->getMessage()
            )));
        }
    }

}
