<?php
/**
 * Joshua Lucio - Update to change key to keyname for SB2-3161 
 */
 
$installer = $this;

$connection = $installer->getConnection();

$newColumnName = 'keyname';
$oldColumnName = 'key';

$tableName = $installer->getTable('springbot_main_trackable_order');

if ($connection->tableColumnExists($tableName, $newColumnName) === false) {
	$connection->changeColumn(
		$tableName, 
		$oldColumnName, 
		$newColumnName, 
	    array(
	        'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
	        'length' => 16,
	        'comment' => 'keyname'
	    )
	);  
}

$tableName = $installer->getTable('springbot_main_trackable_quote');

if ($connection->tableColumnExists($tableName, $newColumnName) === false) {
    $connection->changeColumn(
		$tableName, 
		$oldColumnName, 
		$newColumnName, 
	    array(
	        'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
	        'length' => 16,
	        'comment' => 'keyname'
	    )
	);
}
